#pragma once
#include "ffgl/ParamFloat.h"
#include "ffglex/RGBAColor.h"

namespace ffglqs
{

struct ParamsRGBColor
{
	ffgl::ParamFloat* red;
	ffgl::ParamFloat* green;
	ffgl::ParamFloat* blue;

	inline ffglex::RGBAColor GetColor()
	{
		return { red->GetFloatValue(), green->GetFloatValue(), blue->GetFloatValue(), 1.0f };
	}
};

}// namespace ffglqs
